Bug 1273925 - installed / updated / removed packages missing with DNF
installed / updated / removed packages missing with DNF
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: logwatch (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 09:53 EDT by Harald Reindl
Modified: 2016-07-19 14:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:17:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adds dnf to logwatch (1.57 KB, application/octet-stream)
2015-12-27 11:49 EST, Henrique Martins
no flags Details

  None (edit)
Description Harald Reindl 2015-10-21 09:53:13 EDT
now that "/var/log/yum.log" is replaced more or less with "/var/log/dnf.rpm.log" there are no longer package management information in logwatch

yes, i know that it's a needless change to not rename "dnf" back to "yum" if it will one day work relieable and not change the logformat but nobody asked us about such needless changes.....
Comment 1 Henrique Martins 2015-12-27 11:47:05 EST
Dnf is not new with fc23.  I think it became the default for fc22, optional or available on fc21, so for early dnf adapters this logwatch capability has been missing for a while.

I stayed with yum and disabled dnf on fc22 (too many bugs) but it seems to work fine with fc23, where I started using it, and didn't notice the missing logwatch functionality

Dnf generates three types of log files dnf.librepo.log, dnf.rpm.log and dnf.log.  Of these dnf.librepo.log and dnf.log seem to log activity while looking for repos and what to update, while dnf.rpm.log seems to have mostly what was on yum.log.

It's not too hard to mimic logwatch's yum to process dnf.  Attaching next.
Comment 2 Henrique Martins 2015-12-27 11:49 EST
Created attachment 1109838 [details]
adds dnf to logwatch

untar from /
Comment 3 Fedora End Of Life 2016-07-19 14:17:34 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.